/*
 * Peripheral_HW.c
 *
 *  Created on: 22.04.2013
 *      Author: LeiChr
 */

#ifdef __USE_CMSIS
#include "LPC11xx.h"
#endif

#include <stdint.h>
#include "Peripheral_HW.h"

//****************************************************************************
// START --> definitions for using the PORTs (as IOs)
//****************************************************************************

// functions for using port io
void SetPortPin(uint32_t portNum, uint32_t bitPosi, uint32_t bitVal);
void SetPortPinDir( uint32_t portNum, uint32_t bitPosi, uint32_t dir );
unsigned char GetPortPin(uint32_t portNum, uint32_t bitPos);
uint32_t GetPortValue(uint8_t portNum);


// ***************************************************************************
// functions for using the I/O Ports
// ***************************************************************************
void SetPortPin(uint32_t portNum, uint32_t bitPosi, uint32_t bitVal)
{
	LPC_GPIO[portNum]->MASKED_ACCESS[(1 << bitPosi)] = (bitVal << bitPosi);
}


void SetPortPinDir( uint32_t portNum, uint32_t bitPosi, uint32_t dir )
{
	if(dir)
		LPC_GPIO[portNum]->DIR |= 1<<bitPosi;		// set port direction OUTPUT
	else
		LPC_GPIO[portNum]->DIR &= ~(1<<bitPosi);	// set port direction INPUT
}


uint32_t GetPortValue(uint8_t portNum)
{
	return LPC_GPIO[portNum]->MASKED_ACCESS[(1 << 12) - 1];
}


unsigned char GetPortPin(uint32_t portNum, uint32_t bitPos)
{
	uint32_t port_in;
	port_in = LPC_GPIO[portNum]->MASKED_ACCESS[(1 << 12) - 1];
	port_in = ( (port_in >> bitPos) & 0x01);

	return ((unsigned char) port_in);
}
