/*
 * Peripheral_HW.h
 *
 *  Created on: 22.04.2013
 *      Author: LeiChr
 */

#ifndef _PERIPHERAL_HW_H
#define _PERIPHERAL_HW_H

static LPC_GPIO_TypeDef(* const LPC_GPIO[4]) = { LPC_GPIO0,
												 LPC_GPIO1,
												 LPC_GPIO2,
												 LPC_GPIO3 };

uint32_t TasterPort;
uint32_t PIN_1;
uint32_t PIN_2;
uint32_t PIN_3;
uint32_t PIN_4;
uint32_t PIN_5;


extern void SetPortPin(uint32_t portNum, uint32_t bitPosi, uint32_t bitVal);
extern void SetPortPinDir( uint32_t portNum, uint32_t bitPosi, uint32_t dir );
extern unsigned char GetPortPin(uint32_t portNum, uint32_t bitPos);
extern uint32_t GetPortValue(uint8_t portNum);


#define IO_PORT_0		0
#define IO_PORT_1		1
#define IO_PORT_2		2
#define IO_PORT_3		3

#define IN 0
#define OUT 1

// --------------------------------------------------
// define PINS
// --------------------------------------------------
// PORT 0_9
#define BREMSLICHTSCHALTER_PORT			0
#define BREMSLICHTSCHALTER_PORT_PIN		9
#define BREMSLICHTSCHALTER_DIR			0			// input
// PORT 0_8
#define BLINKER_LINKS_PORT				0
#define BLINKER_LINKS_PORT_PIN			8
#define BLINKER_LINKS_DIR				0			// input
// PORT 2_2
#define BLINKER_RECHTS_PORT				2
#define BLINKER_RECHTS_PORT_PIN			2
#define BLINKER_RECHTS_DIR				0			// input
// PORT 2_10
#define BEGRENZUNGLICHT_PORT			2
#define BEGRENZUNGLICHT_PORT_PIN		10
#define BEGRENZUNGLICHT_DIR				0			// input
// PORT 0_7
#define ABBLENDLICHT_PORT				0
#define ABBLENDLICHT_PORT_PIN			7
#define ABBLENDLICHT_DIR				0			// input
// PORT 0_6
#define FERNLICHT_PORT					0
#define FERNLICHT_PORT_PIN				6
#define FERNLICHT_DIR					0			// input

// PORT 3_2
#define AUSG_BLINKER_LINKS_PORT			3
#define AUSG_BLINKER_LINKS_PORT_PIN		2
#define AUSG_BLINKER_LINKS_DIR			1			// output
// PORT 1_0
#define AUSG_BLINKER_RECHTS_PORT		1
#define AUSG_BLINKER_RECHTS_PORT_PIN	0
#define AUSG_BLINKER_RECHTS_DIR			1			// output
// PORT 1_4
#define AUSG_ABBLENDLICHT_L_PORT		1
#define AUSG_ABBLENDLICHT_L_PORT_PIN	4
#define AUSG_ABBLENDLICHT_L_DIR			1			// output
// PORT 2_3
#define AUSG_FERNLICHT_L_PORT			2
#define AUSG_FERNLICHT_L_PORT_PIN		3
#define AUSG_FERNLICHT_L_DIR			1			// output
// PORT 1_2
#define AUSG_ABBLENDLICHT_R_PORT		1
#define AUSG_ABBLENDLICHT_R_PORT_PIN	2
#define AUSG_ABBLENDLICHT_R_DIR			1			// output
// PORT 1_1
#define AUSG_FERNLICHT_R_PORT			1
#define AUSG_FERNLICHT_R_PORT_PIN		1
#define AUSG_FERNLICHT_R_DIR			1			// output




#endif
